- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a new KeyList in an instance. The server assigns the KeyList ID.
Every Key and KeyRing in keyList.entries must exist in the same instance.
HTTP request
POST https://mpc.googleapis.com/v1beta/{parent=projects/*/locations/*/instances/*}/keyLists
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent instance where the KeyList will be created. Format: projects/{project}/locations/{location}/instances/{instance} It takes the form |
Query parameters
| Parameters | |
|---|---|
requestId |
Optional. An idempotency key. Because KeyList IDs are server-generated, a client must set this to retry a create safely. If a request with the same requestId was already completed, the server returns the KeyList it created. Must be a UUID4 and not the zero UUID. |
Request body
The request body contains an instance of KeyList.
Response body
If successful, the response body contains a newly created instance of KeyList.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.